Description

Siehe Mail von Uli Schlachter vom 01.10.09

dulparse.cc "glaubt" den Langenfeldern, die die Gegenseite sendet.

An vielen Stellen wird die "Rest-Lange" eines Objektes berechnet durch

z.B. //pduLength -= itemLength;//.

Dies kann fur Integer underflows ausgenutzt werden (itemLength gréBer als pduLength), wodurch dcmnet dann versucht
weit Uber das Ende des PDUs zu lesen.

Beispielsweise kann man am Ende von dulconst.cc "constructPresentationContext()" folgende Zeile einfigen:
context—->length = 3;

Alle SCUs und SCPs mit denen man nun presentation contexts aushandelt stirzen ab.

History

#1 - 2014-09-22 16:52 - Michael Onken
- Description updated

- Private changed from No to Yes

#2 - 2015-01-15 13:39 - Michael Onken

- Private changed from Yes to No

#3 - 2016-12-14 18:03 - Marco Eichelberg

- Subject changed from Mehrere Integer underflows in demnet/libsrc/dulparse.cc to Multiple integer underflows in demnet/libsrc/dulparse.cc

This bug is also discussed in the following announcement: http:/forum.dcmtk.org/viewtopic.php?f=1&t=4498
